Bug 55291 - adsl-status not finding /etc/ppp/pppoe.conf
adsl-status not finding /etc/ppp/pppoe.conf
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-29 07:02 EST by Josi Romildo Malaquias
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-30 11:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josi Romildo Malaquias 2001-10-29 07:02:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
adsl-status (and other tools from the rp-pppoe package) does not find
its configuration file /etc/ppp/pppoe.conf when run without arguments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run adsl-status as root user:
   # adsl-status

Actual Results:  /usr/sbin/adsl-status: Cannot read configuration file

Expected Results:  Information about the status of the ADSL connection.

Additional info:
Comment 1 Ngo Than 2001-11-05 08:21:57 EST
/etc/ppp/pppoe.conf is gone in 7.2. The DSL configuration will be in
/etc/sysconfig/network-scripts/ifcfg-pppX (X is any interger number).

You have to use redhat-config-network in 7.2 to setup your DSL connection.
if you do update of rp-pppoe package (rpm -Uvh rp-pppoeXXX) your old
/etc/ppp/pppoe.conf will be converted into
/etc/sysconfig/network-scripts/ifcfg-ppp0. to start/stop just do ifup/ifdown ppp0

Note You need to log in before you can comment on or make changes to this bug.